type Social = 'Github' | 'YouTube'
type Language = 'Java' | 'Rust' | 'Go' | 'TypeScript'

type MinecraftTags = '1.8' | '1.17' | 'Paper' | 'Bungee'
type WebTags = 'Frontend' | 'Backend' | 'Fullstack'
type Tag = MinecraftTags | WebTags | 'Archived'

type Category = 'Minecraft' | 'Web' | 'Discord' | 'Misc' | 'Unity'

export type Project = {
  name: string
  description: string
  category: Category
  imageUrl: string
  socials: Partial<Record<Social, string>>
  languages: Language[]
  tags: Tag[]
}
